require("dotenv").config()
const { notarize } = require("@electron/notarize")

exports.default = async function notarizing(context) {
  const { electronPlatformName, appOutDir } = context
  if (electronPlatformName !== "darwin" || !process.env.APPLEID) {
    return
  }

  const appName = context.packager.appInfo.productFilename

  return await notarize({
    appBundleId: "com.reactotron.app",
    appPath: `${appOutDir}/${appName}.app`,
    appleId: process.env.APPLEID,
    appleIdPassword: process.env.APPLEIDPASS,
  })
}
